org.eclipse.jetty.server

## Class Dispatcher

- java.lang.Object
- - org.eclipse.jetty.server.Dispatcher

All Implemented Interfaces:
  javax.servlet.RequestDispatcher

    public class Dispatcher
    extends Object
    implements javax.servlet.RequestDispatcher

Servlet RequestDispatcher.

### Field Summary

Fields
`static String` `__FORWARD_PREFIX` Dispatch include attribute names
`static String` `__INCLUDE_PREFIX` Dispatch include attribute names
`static String` `__JSP_FILE` JSP attributes
`static String` `ERROR_EXCEPTION`
`static String` `ERROR_EXCEPTION_TYPE`
`static String` `ERROR_MESSAGE`
`static String` `ERROR_REQUEST_URI`
`static String` `ERROR_SERVLET_NAME`
`static String` `ERROR_STATUS_CODE`
`static String` `FORWARD_CONTEXT_PATH`
`static String` `FORWARD_PATH_INFO`
`static String` `FORWARD_QUERY_STRING`
`static String` `FORWARD_REQUEST_URI`
`static String` `FORWARD_SERVLET_PATH`
`static String` `INCLUDE_CONTEXT_PATH`
`static String` `INCLUDE_PATH_INFO`
`static String` `INCLUDE_QUERY_STRING`
`static String` `INCLUDE_REQUEST_URI`
`static String` `INCLUDE_SERVLET_PATH`

### Constructor Summary

Constructors
Constructor and Description
`Dispatcher(ContextHandler contextHandler, String name)` Constructor.
`Dispatcher(ContextHandler contextHandler, String uri, String pathInContext, String query)`

### Method Summary

Methods
`void` `error(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void` `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`protected void` `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, DispatcherType dispatch)`
`void` `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FORWARD_REQUEST_URI

    public static final String FORWARD_REQUEST_URI

See Also:
  Constant Field Values

#### FORWARD_CONTEXT_PATH

    public static final String FORWARD_CONTEXT_PATH

See Also:
  Constant Field Values

#### FORWARD_PATH_INFO

    public static final String FORWARD_PATH_INFO

See Also:
  Constant Field Values

#### FORWARD_SERVLET_PATH

    public static final String FORWARD_SERVLET_PATH

See Also:
  Constant Field Values

#### FORWARD_QUERY_STRING

    public static final String FORWARD_QUERY_STRING

See Also:
  Constant Field Values

#### INCLUDE_REQUEST_URI

    public static final String INCLUDE_REQUEST_URI

See Also:
  Constant Field Values

#### INCLUDE_CONTEXT_PATH

    public static final String INCLUDE_CONTEXT_PATH

See Also:
  Constant Field Values

#### INCLUDE_PATH_INFO

    public static final String INCLUDE_PATH_INFO

See Also:
  Constant Field Values

#### INCLUDE_SERVLET_PATH

    public static final String INCLUDE_SERVLET_PATH

See Also:
  Constant Field Values

#### INCLUDE_QUERY_STRING

    public static final String INCLUDE_QUERY_STRING

See Also:
  Constant Field Values

#### ERROR_EXCEPTION

    public static final String ERROR_EXCEPTION

See Also:
  Constant Field Values

#### ERROR_EXCEPTION_TYPE

    public static final String ERROR_EXCEPTION_TYPE

See Also:
  Constant Field Values

#### ERROR_MESSAGE

    public static final String ERROR_MESSAGE

See Also:
  Constant Field Values

#### ERROR_REQUEST_URI

    public static final String ERROR_REQUEST_URI

See Also:
  Constant Field Values

#### ERROR_SERVLET_NAME

    public static final String ERROR_SERVLET_NAME

See Also:
  Constant Field Values

#### ERROR_STATUS_CODE

    public static final String ERROR_STATUS_CODE

See Also:
  Constant Field Values

#### __INCLUDE_PREFIX

    public static final String __INCLUDE_PREFIX

Dispatch include attribute names

See Also:
  Constant Field Values

#### __FORWARD_PREFIX

    public static final String __FORWARD_PREFIX

Dispatch include attribute names

See Also:
  Constant Field Values

#### __JSP_FILE

    public static final String __JSP_FILE

JSP attributes

See Also:
  Constant Field Values

### Constructor Detail

#### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
              String uri,
              String pathInContext,
              String query)

Parameters:
  `contextHandler` -
  `uri` -
  `pathInContext` -
  `query` -

#### Dispatcher

    public Dispatcher(ContextHandler contextHandler,
              String name)
               throws IllegalStateException

Constructor.

Parameters:
  `contextHandler` -
  `name` -
Throws:
  `IllegalStateException`

### Method Detail

#### forward

    public void forward(javax.servlet.ServletRequest request,
               javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `forward` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### error

    public void error(javax.servlet.ServletRequest request,
             javax.servlet.ServletResponse response)
               throws javax.servlet.ServletException,
                      IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`

#### include

    public void include(javax.servlet.ServletRequest request,
               javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        IOException

Specified by:
  `include` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### forward

    protected void forward(javax.servlet.ServletRequest request,
               javax.servlet.ServletResponse response,
               DispatcherType dispatch)
                    throws javax.servlet.ServletException,
                           IOException

Throws:
  `javax.servlet.ServletException`
  `IOException`